API DocumentationManufacturer production step controller

Get batch balances by part IDs

GET
/api/manufacturer/v1/production-step/batch-balances/part-ids

Retrieves batch balances for the specified part IDs: one row per production step, operation, part and work order that has parts in it. A row's stepId is the productionStepId that move-batches takes. Empty for an operator without the FACTORY_FLOOR module.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

partIds*array<>

Set of requisition IDs to retrieve batch balances for

Response Body

Batch balances retrieved successfully

application/json
  1. response
[index: integer]?
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/production-step/batch-balances/part-ids?partIds=0'
[  {    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "operationName": "string",    "sequence": 0,    "requisitionId": 0,    "workOrderId": "50150040-5a5c-4c26-9d75-30728d69a42e",    "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",    "materialId": 0,    "colorId": 0,    "dispatchDate": "2019-08-24",    "workOrderStartDate": "2019-08-24T14:15:22Z",    "workOrderDueDate": "2019-08-24T14:15:22Z",    "requisitionDuration": 0,    "quantity": 0,    "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d",    "groupId": "string",    "prefix": "string",    "stepType": "string",    "orderId": 0,    "orderNumber": 0,    "threadId": 0,    "purchaseOrderNumber": "string",    "commentCount": 0,    "closedAt": "2019-08-24T14:15:22Z",    "outstandingAt": "2019-08-24T14:15:22Z",    "batchStatusName": "string",    "batchStatusId": "3b88a7ad-cddf-4275-929b-806ea4f39582"  }]